Bug 16765 - Add support for mark/space parity
Summary: Add support for mark/space parity
Status: Open
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: 3.4-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-bugs (Nobody)
URL:
Keywords:
Depends on: 237576
Blocks:
  Show dependency treegraph
 
Reported: 2000-02-17 01:10 UTC by Daniel O'Connor
Modified: 2020-07-09 06:32 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel O'Connor 2000-02-17 01:10:01 UTC
This trivial patch adds support for mark and space parity.

I have no idea what standard this is based on as it was purely to get
mark and space parity to work under Tcl. Basically you turn PAREXT and
PARODD to get mark and PAREXT for space.

I'm not sure if extra magic is needed for reading back the flags or not,
but I guess that the tty layer caches that info for the application.

How-To-Repeat: 
Patch for 3.0 is at http://www.gsoft.com.au/~doconnor/PAREXT-3-patch

I should be trivial to apply to current.
Comment 1 Poul-Henning Kamp freebsd_committer 2001-06-06 21:44:51 UTC
Responsible Changed
From-To: freebsd-bugs->bde

Bruce, you know the scriptures as far as ttys go, 
is this the right way to get mark and space parity ?
Comment 2 wolfgang 2017-02-22 00:24:57 UTC
Not sure this PR is relevant anymore. While sio(4) still exists in tree (and still does not support mark/space parity), almost(?) everyone seems to use uart(4) now. Mark/space parity are at least mentioned in the uart source a few times; I did not have a closer look if it is supported though.
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:41:07 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 4 Marius 2019-04-26 09:03:40 UTC
I've made a patch to extend uart tty to support mark/space parity configuration. 
I've tested it with UART NS8250 and it works. (after https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=237576 is fixed).
Please have a look over it, if you think it makes sense to have it.
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2020-07-09 06:32:44 UTC
Reclaim for bugs@.